:root {
    --primary: #149348;
    --success: #7cc893;
    --warning: #ffb900;
    --secondary: #bdbdbf;
    --white: #FFF;
    --light: #f4f5f8;
    --cream: #f1ead0;
    --dark: #222429;
}

body {
    background: var(--light);
}

section.slide .swiper {
    width: 100%;
    height: 100%;
}

section.slide .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

section.slide .swiper-slide img {
    display: block;
    width: 100%;
    height: 850px;
    object-fit: cover;
}

section.slide .swiper .swiper-pagination-bullet-active {
    background: var(--primary);
}


/* ================================ swiper end ===================================== */

.background-page {
    padding: 70px 0;
    text-align: center;
    color: var(--dark);
    /* background-color: #222429; */
    background-image: url("../images/bg.png");
}

.background-page h1 {
    font-weight: 700;
}


/* ================================ qoute start ===================================== */

section.qoute {
    padding: 50px 0;
    background-color: var(--cream);
}

section.qoute h4 {
    font-size: 28px;
}

section.qoute button.button-success {
    border: none;
    background-color: var(--primary);
    padding: 15px 45px;
    border-radius: 5px;
    color: var(--light);
    font-weight: 700;
    transition: 0.3s;
}

section.qoute button.button-success:hover {
    transform: scale(1.05);
    transition: 0.3s;
}


/* ================================ qoute end ===================================== */


/* ================================ index start ===================================== */

.box-button {
    margin: 50px 0;
}

.box-button a.btn-link {
    text-decoration: none;
    background: var(--primary);
    color: var(--light);
    padding: 15px 50px;
    border-radius: 5px;
}

.box-button a.btn-link:hover {
    background: #097034;
}

section.content-page {
    padding: 100px 0;
}

section.content-page .content-about {
    padding: 50px 0;
}

section.content-page .content-about .grid-content-about {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.content-about .grid-content-about .about-item {
    padding: 20px;
}

.content-about .grid-content-about .about-item img {
    width: 100%;
    border-radius: 10px;
}

.content-about .grid-content-about .about-item h3 {
    font-size: 18px;
    font-weight: bold;
    color: var(--primary);
}


/* service */

section.content-page .content-service {
    background-image: url(../images/bg.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    padding: 100px 0;
    /* background: var(--cream); */
}

section.content-page .content-service h2 {
    text-align: center;
    font-weight: bold;
    margin-bottom: 50px;
    color: var(--primary);
}

.content-service .grid-content-service {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.content-service .grid-content-service .box-item {
    padding: 25px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    margin: 15px;
    border-radius: 25px;
    background-color: var(--white);
}

.content-service .grid-content-service .box-item .icon {
    background-color: var(--light);
    display: flex;
    width: 70px;
    height: 70px;
    margin: 10px 0;
    border-radius: 50%;
}

.content-service .grid-content-service .box-item .icon img {
    width: 50px;
    height: 50px;
    justify-content: center;
    margin: auto;
}

.content-service .grid-content-service .box-item h4 {
    font-weight: bold;
    color: var(--primary);
}

.content-service .grid-content-service .box-item p {
    opacity: 50%;
}

section.about .layout-description img {
    width: 100%;
}


/* team */

section.content-page .content-leadership {
    padding: 100px 0;
}

section.content-page .content-leadership h2 {
    text-align: center;
    font-weight: bold;
    margin-bottom: 50px;
    color: var(--primary);
    font-size: 28px;
}

.content-leadership .grid-team {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
}

.content-leadership.grid-team .box-discription {
    margin: auto;
    text-align: center;
}

.content-leadership .grid-team .box-discription h1 {
    color: var(--primary);
    font-weight: bold;
}

.content-leadership .grid-team .box-team {
    margin: 10px;
}

.content-leadership .grid-team .box-team a {
    text-decoration: none;
}

.content-leadership .grid-team .box-team .card {
    border: none;
    overflow: hidden;
    height: 100%;
    transition: 0.3s;
}

.content-leadership .grid-team .box-team .card:hover img {
    transform: scale(1.2);
    transition: 0.5s;
}

.content-leadership .grid-team .box-team .card img {
    border-radius: 5px;
    transition: 0.5s;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.5s;
}

.content-leadership .grid-team .box-team .card .card-body {
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
}

.content-leadership .grid-team .box-team .card .card-body h5.card-title {
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    color: var(--light);
}

.content-leadership .grid-team .box-team .card .card-body p.card-text {
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    color: var(--light);
}

.content-leadership .grid-team .box-team .team-overlay {
    position: absolute;
    top: 50%;
    right: 50%;
    bottom: 50%;
    left: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(34, 36, 41, 0.9);
    transition: 0.5s;
    opacity: 0;
}

.content-leadership .grid-team .box-team:hover .team-overlay {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 1;
}

.content-leadership .grid-team .box-team:hover .card .card-body {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%);
}


/* ================================ index end ===================================== */


/* ================================ gallery start ===================================== */

section.gallery {
    padding: 50px 0;
}

section.gallery .gallery-text {
    margin-bottom: 25px;
}

section.gallery .gallery-text h2 {
    text-align: center;
    font-weight: bold;
    color: var(--primary);
}


/* สไตล์สำหรับแกลเลอรี่ */

section.gallery .lightgallery {
    margin-top: 25px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

section.gallery .lightgallery img {
    width: 100%;
}

section.gallery .lightgallery a {
    overflow: hidden;
    height: 500px;
    margin: 15px;
    border-radius: 5px;
}

section.gallery .lightgallery a img {
    object-fit: cover;
    transition: 0.3s;
    width: 100%;
    height: 100%;
    border-radius: 10px;
}

section.gallery .lightgallery a img:hover {
    transform: scale(1.1);
    transition: 0.3s;
}


/* page  */

section.gallery .grid-gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

section.gallery .grid-gallery .box-item {
    margin: 0 10px 20px;
}

section.gallery .grid-gallery .box-item .box-card {
    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
    border-radius: 10px;
}

section.gallery .grid-gallery .box-item .box-card .box-img {
    width: 100%;
    height: 300px;
    overflow: hidden;
    margin-bottom: 10px;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
}

section.gallery .grid-gallery .box-item .box-card .box-img img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
    transition: 0.3s ease-in-out;
    object-fit: cover;
}

section.gallery .grid-gallery .box-item .box-card:hover .box-img img {
    transform: scale(1.1);
    transition: 0.3s ease-in-out;
}

section.gallery .grid-gallery .box-item .box-card .box-body {
    padding: 20px;
}

section.gallery .grid-gallery .box-item .box-card .box-body h4 {
    font-weight: bold;
    color: var(--primary);
}

section.gallery .swiper {
    width: 100%;
    height: 100%;
}

section.gallery .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    /* Ensure the image doesn't overflow the slide */
    height: 650px;
}

section.gallery .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
    transition: transform 10s ease-in-out;
    /* Smooth zoom-in effect */
}

section.gallery .swiper-slide-active img {
    transform: scale(1.2);
    /* Zoom-in effect on active slide */
}

section.gallery .swiper .swiper-button-next::after,
section.gallery .swiper .swiper-button-prev::after {
    background: var(--primary);
    color: var(--light);
    border-radius: 5px;
    padding: 10px 15px;
    font-size: 20px;
    font-weight: bold;
    margin: 0 10px;
}

section.gallery .swiper .swiper-pagination-progressbar .swiper-pagination-progressbar-fill {
    background-color: var(--primary);
}

section.gallery section.qoute h4 {
    color: var(--primary);
    font-weight: bold;
}

section.gallery .views h2 {
    margin-top: 25px;
    font-size: 48px;
    font-weight: bold;
    text-align: center;
    font-weight: bold;
    width: 25%;
    /* border: 5px solid #097034; */
    padding: 15px;
    box-shadow: #097034 0px 0px 0px 3px inset, rgb(255, 255, 255) 10px -10px 0px -3px, #149348 10px -10px, rgb(255, 255, 255) 20px -20px 0px -3px, #7cc893 20px -20px;
}

section.gallery button.btn-load {
    margin: 25px 0;
    padding: 15px 0;
    background: var(--primary);
    border: none;
    color: #fff;
    width: 25%;
}

section.gallery button.btn-load:hover {
    background: #097034;
    transition: 0.3s ease-in-out;
}


/* ================================ gallery end ===================================== */


/* ================================ alldesigns start ===================================== */

section.alldesigns {
    padding: 50px 0;
}

section.alldesigns .category .box-filter .accordion .accordion-item {
    border: none;
}

section.alldesigns .category h3 {
    font-weight: bold;
    border-bottom: 5px solid #149348;
    width: fit-content;
    margin: 0;
}

section.alldesigns .category .box-filter .accordion .accordion-button:not(.collapsed) {
    color: var(--dark);
    background-color: #fff;
    box-shadow: none;
    font-weight: 700;
}

section.alldesigns .category .box-filter .accordion .accordion-button:focus {
    box-shadow: none;
    border-color: #fff;
}

section.alldesigns .grid-alldesigns {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

section.alldesigns .grid-alldesigns .box-item {
    margin: 0 10px 20px;
}

section.alldesigns .grid-alldesigns .box-item .box-card {
    box-shadow: rgba(0, 0, 0, 0.15) 0px 5px 15px 0px;
    border-radius: 10px;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-img {
    width: 100%;
    height: 300px;
    overflow: hidden;
    margin-bottom: 10px;
    transition: 0.3s ease-in-out;
    border-radius: 10px;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-img img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
    transition: 0.3s ease-in-out;
    object-fit: cover;
}

section.alldesigns .grid-alldesigns .box-item .box-card:hover .box-img img {
    transform: scale(1.1);
    transition: 0.3s ease-in-out;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body {
    padding: 20px;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body h4 {
    font-weight: bold;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .flex-icon {
    display: flex;
    flex-wrap: wrap;
    margin: 0;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .flex-icon .box-item {
    margin: 0 0 0 5px;
    font-weight: 700;
    color: var(--secondary);
    text-transform: uppercase;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .flex-icon .box-item i {
    padding-right: 5px;
    border-radius: 50%;
    color: var(--dark);
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .price {
    font-size: 20px;
    font-weight: 700;
    color: var(--primary);
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .price .sale-price {
    font-size: 14px;
    color: var(--secondary);
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .footer {
    margin: 20px 0;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .footer a {
    background: none;
    border-radius: 5px;
    font-weight: 700;
    text-decoration: none;
    display: block;
    text-align: center;
    padding: 10px 0;
    margin-bottom: 10px;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .footer a.btn-contact {
    background-color: var(--primary);
    color: var(--light);
    transition: 0.3s ease-in-out;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .footer a.btn-contact:hover {
    background-color: #097034;
    color: var(--light);
    transition: 0.3s ease-in-out;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .footer a.btn-views {
    background-color: var(--dark);
    color: var(--light);
    transition: 0.3s ease-in-out;
}

section.alldesigns .grid-alldesigns .box-item .box-card .box-body .footer a.btn-views:hover {
    background-color: var(--light);
    color: var(--dark);
    transition: 0.3s ease-in-out;
}

section.alldesigns button.btn-load {
    margin: 25px 0;
    padding: 15px 0;
    background: var(--primary);
    border: none;
    color: #fff;
    width: 25%;
}

section.alldesigns button.btn-load:hover {
    background: #097034;
    transition: 0.3s ease-in-out;
}

section.alldesigns .box-view .grid-view {
    display: grid;
    grid-template-columns: 6fr 4fr;
    /* 7 parts and 3 parts */
}

section.alldesigns .box-view .grid-view .box-img img {
    width: 100%;
    border-radius: 10px;
}

section.alldesigns .box-view .grid-view .box-description .price h4 {
    color: #097034;
    font-weight: bold;
    margin-bottom: 15px;
}

section.alldesigns .box-view .grid-view .box-description .price span {
    font-size: 14px;
    color: var(--secondary);
}

section.alldesigns .box-view .grid-view .box-description button.btn-contact {
    background: var(--primary);
    color: #fff;
    border: none;
    border-radius: 5px;
    padding: 10px;
    margin: 15px 0;
    width: 50%;
}

section.alldesigns .box-view .grid-view .box-description button.btn-contact:hover {
    background: #097034;
}

section.alldesigns .box-view .accordion .accordion-item {
    border: none;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    margin-bottom: 15px;
}

section.alldesigns .box-view .accordion .accordion-item button.accordion-button {
    color: var(--primary);
    font-weight: bold;
}

section.alldesigns .box-view .accordion .accordion-button:not(.collapsed) {
    color: var(--dark);
    background-color: #fff;
    box-shadow: none;
}

section.alldesigns .box-view .accordion .accordion-button:focus {
    box-shadow: none;
    border-color: #fff;
}


/* ================================ alldesigns end ===================================== */


/* ================================ news start ===================================== */

section.news {
    padding: 100px 0;
}

section.news .grid-news {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

section.news nav.nav.nav-pills a.flex-sm-fill {
    background: #149348;
    color: var(--white);
    margin: 15px;
}

section.news nav.nav.nav-pills a.flex-sm-fill.active {
    background: #097034;
    color: var(--white);
}

section.news nav.nav.nav-pills a.flex-sm-fill:hover {
    background: #097034;
}

section.news .grid-news .card {
    margin: 15px;
    border: none;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

section.news .grid-news .card .box-img {
    width: 100%;
    height: 300px;
    overflow: hidden;
}

section.news .grid-news .card .box-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

section.news .grid-news .card .card-footer a.btn.btn-primary {
    background: var(--primary);
    width: 100%;
    border: none;
}

section.news .grid-news .card .card-footer a.btn.btn-primary:hover {
    background: #097034;
}


/* ================================ news end ===================================== */


/* ================================ about start ===================================== */

section.about {
    padding: 50px 0;
}

section.about .grid-about {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

section.about .grid-about .about-img {
    width: 100%;
    text-align: right;
}

section.about .grid-about .about-img img {
    width: 50%;
    margin-right: 50px;
    border-radius: 5px;
}

section.about .grid-about .about-description-right {
    background: rgb(9, 112, 52);
    background: linear-gradient(90deg, rgba(9, 112, 52, 1) 0%, rgba(20, 147, 72, 1) 100%);
    display: flex;
    width: 100%;
}

section.about .grid-about .about-description-right .about-text {
    margin: auto 0;
    width: 50%;
    padding: 25px;
    color: var(--light);
}

section.about .grid-content {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    padding: 50px 0;
}

section.about .grid-content .about-content {
    margin: 50px;
}

section.about .grid-about .about-description-left {
    background: rgb(9, 112, 52);
    background: linear-gradient(90deg, rgba(9, 112, 52, 1) 0%, rgba(20, 147, 72, 1) 100%);
    display: flex;
    justify-content: flex-end;
    width: 100%;
}

section.about .grid-about .about-description-left .about-text {
    margin: auto 0;
    width: 50%;
    padding: 25px;
    color: var(--light);
    text-align: right;
}

section.about .grid-about .about-img-left {
    width: 100%;
    text-align: left;
}

section.about .grid-about .about-img-left img {
    width: 50%;
    margin-left: 50px;
    border-radius: 5px;
}


/* team */

section.about .team {
    padding: 100px 0;
}

section.about .grid-team {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

section.about .grid-team .box-discription {
    margin: auto;
    text-align: center;
}

section.about .grid-team .box-discription h1 {
    color: var(--primary);
    font-weight: bold;
}

section.about .grid-team .box-team {
    margin: 10px;
}

section.about .grid-team .box-team a {
    text-decoration: none;
}

section.about .grid-team .box-team .card {
    border: none;
    overflow: hidden;
    height: 100%;
    transition: 0.3s;
}

section.about .grid-team .box-team .card:hover img {
    transform: scale(1.2);
    transition: 0.3s;
}

section.about .grid-team .box-team .card img {
    border-radius: 5px;
    transition: 0.5s;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.3s;
}

section.about .grid-team .box-team .card .card-body {
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
}

section.about .grid-team .box-team .card .card-body h5.card-title {
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    color: var(--light);
}

section.about .grid-team .box-team .card .card-body p.card-text {
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    color: var(--secondary);
}

section.about .grid-team .box-team .team-overlay {
    position: absolute;
    top: 50%;
    right: 50%;
    bottom: 50%;
    left: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(34, 36, 41, 0.9);
    transition: 0.5s;
    opacity: 0;
}

section.about .grid-team .box-team:hover .team-overlay {
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 1;
}

section.about .grid-team .box-team:hover .card .card-body {
    position: absolute;
    top: 65%;
    left: 50%;
    transform: translate(-50%, -50%);
}


/* faq */

section.about .grid-faq {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

section.about .grid-faq .faq-img {
    position: relative;
    /* Make sure the parent element is positioned relative */
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: 100%;
    /* Ensure the height is set to cover the area */
}

section.about .grid-faq .faq-img::before {
    content: "";
    /* This is required to display the pseudo-element */
    position: absolute;
    /* Position the overlay absolutely */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(75, 79, 88, 0.5);
    /* Semi-transparent overlay color */
    z-index: 1;
    /* Ensure it sits above the image */
}

section.about .grid-faq .faq-discription {
    position: relative;
    /* Ensure content is above the overlay */
    z-index: 2;
    /* Make sure the content sits above the overlay */
    padding: 100px;
    width: 100%;
    background: var(--white);
}

section.about .grid-faq .faq-discription h1 {
    color: var(--dark);
    font-weight: bold;
    border-bottom: 5px solid #097034;
    padding-bottom: 10px;
}

section.about .grid-faq .faq-discription .accordion .accordion-item {
    width: 100%;
    border: none;
}

section.about .grid-faq .faq-discription .accordion .accordion-item button.accordion-button {
    color: var(--primary);
    font-weight: bold;
}

section.about .grid-faq .faq-discription .accordion .accordion-button:not(.collapsed) {
    color: var(--dark);
    background-color: #fff;
    box-shadow: none;
}

section.about .grid-faq .faq-discription .accordion .accordion-button:focus {
    box-shadow: none;
    border-color: #fff;
}

section.about .layout-card-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

section.about .layout-card-grid .box-card {
    margin: 15px;
}

section.about .layout-card-grid .box-card .layout-image img {
    width: 100%;
    border-radius: 10px;
    /* box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px; */
    margin-bottom: 15px;
}


/* ================================ about end ===================================== */


/* ================================ contact start ===================================== */

section.contact {
    padding: 100px 0;
}

section.contact .grid-contact {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 10px 15px -3px, rgba(0, 0, 0, 0.05) 0px 4px 6px -2px;
    border-radius: 20px;
}

section.contact .grid-contact .box-form {
    width: 100%;
    /* background: var(--success); */
    padding: 50px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

section.contact .grid-contact .box-form form {
    color: var(--dark);
    font-weight: bold;
}

section.contact .grid-contact .box-form form h3 {
    text-align: center;
    margin-bottom: 15px;
    color: #097034;
}

section.contact .grid-contact .box-form form button.btn-submit {
    padding: 15px 0;
    background: var(--primary);
    border-radius: 5px;
    border: none;
    width: 50%;
    color: var(--light);
    transition: 0.3s ease-in-out;
    margin-top: 25px;
}

section.contact .grid-contact .box-form form button.btn-submit:hover {
    transform: scale(1.05);
    background: #097034;
    transition: 0.3s ease-in-out;
}

section.contact .grid-contact .box-contact {
    width: 100%;
    background: var(--primary);
    padding: 50px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

section.contact .grid-contact .box-contact img {
    width: 50%;
    display: flex;
    text-align: center;
    justify-content: center;
}

section.contact .grid-contact .box-contact h2 {
    font-size: 24px;
    color: var(--light);
}

section.contact .grid-contact .box-contact ul {
    padding: 10px 0;
}

section.contact .grid-contact .box-contact ul li {
    list-style: none;
    margin-bottom: 15px;
}

section.contact .grid-contact .box-contact ul li a {
    font-size: 18px;
    color: var(--light);
    text-decoration: none;
}

section.contact .grid-contact .box-contact ul li a:hover {
    color: rgba(255, 255, 255, 0.7);
}

section.contact .grid-contact .box-contact a.line-add {
    text-decoration: none;
    color: var(--primary);
    background: var(--light);
    padding: 15px;
    border-radius: 25px;
    transition: 0.3s ease-in-out;
}


/* ================================ contact end ===================================== */


/* ================================ footer start ===================================== */

footer {
    background: rgb(1, 149, 73);
    background: linear-gradient(90deg, rgba(1, 149, 73, 1) 0%, rgba(0, 184, 77, 1) 100%);
    padding: 50px 0;
}

footer .grid-footer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    color: var(--light);
}

footer .grid-footer .footer-item img {
    width: 75%;
    text-align: center;
    display: flex;
    justify-content: center;
}

footer .grid-footer .footer-item h3 {
    font-weight: 900;
    margin-bottom: 15px;
}

footer .grid-footer .footer-item ul {
    margin: 0;
    padding: 0;
}

footer .grid-footer .footer-item ul li.list-footer {
    list-style: none;
}

footer .grid-footer .footer-item ul li.list-footer a {
    text-decoration: none;
    color: var(--light);
}

footer .grid-footer .footer-item ul.social {
    display: flex;
    flex-wrap: wrap;
}

footer .grid-footer .footer-item ul.social li.list-footer {
    background: #097034;
    padding: 5px 10px;
    border-radius: 5px;
}

footer .grid-footer .footer-item ul.social li.list-footer:hover {
    background: var(--light);
}

footer .grid-footer .footer-item ul.social li.list-footer:hover a {
    color: var(--primary);
}


/* ================================ footer end ===================================== */

@media screen and (max-width: 767px) {
    section.slide .swiper-slide img {
        height: 300px;
    }

    /* ================================ qoute start ===================================== */
    section.qoute .d-flex {
        display: flex;
        flex-wrap: wrap;
        text-align: center;
    }

    section.qoute h4 {
        font-size: 16px;
    }

    section.qoute button.button-success {
        margin: 25px 0;
    }

    /* ================================ qoute end ===================================== */
    /* ================================ index start ===================================== */
    section.content-page {
        padding: 0 0;
    }

    section.content-page .content-about .grid-content-about {
        display: block;
    }

    /* service */
    .content-service .grid-content-service {
        display: block;
        text-align: center;
    }

    /* team */
    section.content-page .content-leadership {
        padding: 25px 0;
    }

    .content-leadership .grid-team {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .content-leadership .grid-team .box-team .card .card-body h5.card-title {
        font-size: 16px;
    }

    .content-leadership .grid-team .box-team .card .card-body p.card-text {
        font-size: 14px;
    }

    /* ================================ index end ===================================== */
    /* ================================ news start ===================================== */
    section.news {
        padding: 50px 0;
    }

    section.news .grid-news {
        display: block;
    }

    /* ================================ news end ===================================== */
    /* ================================ about start ===================================== */
    section.about {
        padding: 50px 0;
    }

    section.about .grid-about {
        display: block;
    }

    section.about .grid-about .about-img {
        width: 100%;
        text-align: center;
    }

    section.about .grid-about .about-img img {
        width: 100%;
        margin-right: 0;
        border-radius: 0;
    }

    section.about .grid-about .about-description-right {
        background: rgb(9, 112, 52);
        background: linear-gradient(90deg, rgba(9, 112, 52, 1) 0%, rgba(20, 147, 72, 1) 100%);
        display: flex;
        width: 100%;
    }

    section.about .grid-about .about-description-right .about-text {
        margin: auto 0;
        width: 100%;
        padding: 20px;
        color: var(--light);
        text-align: center;
    }

    section.about .grid-about .about-description-left {
        background: rgb(9, 112, 52);
        background: linear-gradient(90deg, rgba(9, 112, 52, 1) 0%, rgba(20, 147, 72, 1) 100%);
        display: flex;
        justify-content: flex-start;
        width: 100%;
    }

    section.about .grid-about .about-description-left .about-text {
        margin: auto 0;
        width: 100%;
        padding: 25px;
        color: var(--light);
        text-align: center;
    }

    section.about .grid-about .about-img-left img {
        width: 100%;
        margin-left: 0;
        border-radius: 0;
    }

    section.about .layout-card-grid {
        display: block;
    }

    section.about .grid-team {
        display: block;
    }

    section.about .grid-team .box-discription h1 {
        margin-bottom: 50px;
    }

    /* faq */
    section.about .grid-faq {
        display: block;
    }

    section.about .grid-faq .faq-discription {
        padding: 25px;
    }

    /* ================================ about end ===================================== */
    section.content .grid-content {
        display: block;
    }

    section.content .grid-content .box-content-img {
        width: 100%;
    }

    section.gallery .gallery-text h2 {
        font-size: 28px;
    }

    /* สไตล์สำหรับแกลเลอรี่ */
    section.gallery .grid-gallery {
        display: block;
    }

    section.gallery .lightgallery {
        display: block;
    }

    section.gallery .lightgallery a {
        margin: 15px 0;
    }

    section.gallery .lightgallery a img {
        margin: 15px 0;
    }

    section.gallery .swiper-slide {
        height: 300px;
    }

    section.gallery .views h2 {
        margin-top: 25px;
        font-size: 28px;
        font-weight: bold;
        text-align: center;
        font-weight: bold;
        width: 50%;
        /* border: 5px solid #097034; */
        padding: 15px;
        box-shadow: #097034 0px 0px 0px 3px inset, rgb(255, 255, 255) 10px -10px 0px -3px, #149348 10px -10px, rgb(255, 255, 255) 20px -20px 0px -3px, #7cc893 20px -20px;
    }

    /* ================================ page alldesigns start ===================================== */
    section.alldesigns .grid-alldesigns {
        display: block;
    }

    section.alldesigns .box-view .grid-view {
        display: block;
    }

    section.alldesigns .box-view .accordion .accordion-item {
        box-shadow: none;
    }

    /* ================================ page contact start ===================================== */
    /* ================================ contact start ===================================== */
    section.contact {
        padding: 50px 0;
    }

    section.contact .grid-contact {
        display: block;
    }

    section.contact .grid-contact .box-form form h3 {
        font-size: 16px;
        line-height: 2;
    }

    section.contact .grid-contact .box-form form button.btn-submit {
        width: 100%;
    }

    section.contact .grid-contact .box-contact {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 20px;
        border-bottom-right-radius: 20px;
        padding: 50px;
    }

    section.contact .grid-contact .box-contact h2 {
        font-size: 18px;
        text-align: center;
        line-height: 1.5;
    }

    section.contact .grid-contact .box-contact a.line-add {
        background: none;
        color: var(--warning);
        font-weight: bold;
        font-size: 20px;
    }

    /* ================================ footer start ===================================== */
    footer .grid-footer {
        display: block;
    }

    footer .grid-footer .footer-item {
        margin-bottom: 25px;
    }

    footer .grid-footer .footer-item img {
        width: 50%;
        text-align: left;
        justify-content: left;
        margin-bottom: 25px;
    }
}

@media screen and (min-width: 767px) and (max-width: 1023px) {
    section.slide .swiper-slide img {
        height: 300px;
    }

    /* ================================ qoute start ===================================== */
    section.qoute .d-flex {
        display: flex;
        flex-wrap: wrap;
        text-align: center;
    }

    section.qoute h4 {
        font-size: 16px;
    }

    section.qoute button.button-success {
        margin: 25px 0;
    }

    /* ================================ qoute end ===================================== */
    /* ================================ index start ===================================== */
    section.content-page {
        padding: 0 0;
    }

    section.content-page .content-about .grid-content-about {
        display: block;
    }

    /* service */
    .content-service .grid-content-service {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        text-align: center;
    }

    /* team */
    section.content-page .content-leadership {
        padding: 25px 0;
    }

    .content-leadership .grid-team {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .content-leadership .grid-team .box-team .card .card-body h5.card-title {
        font-size: 16px;
    }

    .content-leadership .grid-team .box-team .card .card-body p.card-text {
        font-size: 14px;
    }

    /* ================================ index end ===================================== */
    /* ================================ news start ===================================== */
    section.news {
        padding: 50px 0;
    }

    section.news .grid-news {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    /* ================================ news end ===================================== */
    /* ================================ about start ===================================== */
    section.about {
        padding: 50px 0;
    }

    section.about .grid-about .about-img img {
        width: 95%;
    }

    section.about .grid-about .about-img-left img {
        width: 95%;
    }

    section.about .grid-team {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    section.about .grid-faq .faq-discription {
        padding: 50px 25px;
    }

    /* ================================ about end ===================================== */
    section.content .grid-content {
        display: block;
    }

    section.content .grid-content .box-content-img {
        width: 100%;
    }

    section.gallery .gallery-text h2 {
        font-size: 28px;
    }

    /* สไตล์สำหรับแกลเลอรี่ */
    section.gallery .grid-gallery {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    section.gallery .lightgallery {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    section.gallery .lightgallery a {
        margin: 15px;
    }

    section.gallery .lightgallery a img {
        margin: 15px 0;
    }

    section.gallery .swiper-slide {
        height: 300px;
    }

    section.gallery .views h2 {
        margin-top: 25px;
        font-size: 28px;
        font-weight: bold;
        text-align: center;
        font-weight: bold;
        width: 50%;
        /* border: 5px solid #097034; */
        padding: 15px;
        box-shadow: #097034 0px 0px 0px 3px inset, rgb(255, 255, 255) 10px -10px 0px -3px, #149348 10px -10px, rgb(255, 255, 255) 20px -20px 0px -3px, #7cc893 20px -20px;
    }

    /* ================================ page alldesigns start ===================================== */
    section.alldesigns .grid-alldesigns {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    section.alldesigns .grid-alldesigns .box-item .box-card .box-img {
        height: 150px;
    }

    section.alldesigns .grid-alldesigns .box-item .box-card .box-body h4 {
        font-size: 18px;
    }

    section.alldesigns .grid-alldesigns .box-item .box-card .box-body .d-flex {
        display: flex;
        flex-wrap: wrap;
    }

    section.alldesigns .grid-alldesigns .box-item .box-card .box-body .d-flex .flex-grow-1 {
        font-size: 14px;
    }

    section.alldesigns .grid-alldesigns .box-item .box-card .box-body .price {
        font-size: 18px;
        margin: 10px 0;
        padding: 0;
    }

    section.alldesigns .box-view .grid-view {
        display: block;
    }

    section.alldesigns .box-view .accordion .accordion-item {
        box-shadow: none;
    }

    /* ================================ page contact start ===================================== */
    /* ================================ contact start ===================================== */
    section.contact {
        padding: 50px 0;
    }

    section.contact .grid-contact {
        display: block;
    }

    section.contact .grid-contact .box-form form h3 {
        font-size: 16px;
        line-height: 2;
    }

    section.contact .grid-contact .box-form form button.btn-submit {
        width: 100%;
    }

    section.contact .grid-contact .box-contact {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 20px;
        border-bottom-right-radius: 20px;
        padding: 50px;
    }

    section.contact .grid-contact .box-contact h2 {
        font-size: 18px;
        text-align: center;
        line-height: 1.5;
    }

    section.contact .grid-contact .box-contact a.line-add {
        background: none;
        color: var(--warning);
        font-weight: bold;
        font-size: 20px;
    }

    /* ================================ footer start ===================================== */
    footer .grid-footer {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    footer .grid-footer .footer-item {
        margin-bottom: 25px;
    }

    footer .grid-footer .footer-item img {
        width: 50%;
        text-align: left;
        justify-content: left;
        margin-bottom: 25px;
    }
}

@media screen and (min-width: 1024px) and (max-width: 1366px) and (orientation: landscape) {
    section.gallery .lightgallery {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }
}